Skip to main content
POST
/
v2
/
DuplicateItems
Creates one or more duplicates of an existing item with specified duplication options.
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/DuplicateItems \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "duplicateItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "duplicatesToCreate": [
    {
      "sku": "<string>",
      "name": "<string>"
    }
  ],
  "executeItemCreatedWorkflowOnCreation": true,
  "itemDuplicationOptions": {
    "oversalesDuplicationOptions": {
      "isActive": true
    },
    "attributesDuplicationOptions": {
      "isActive": true
    },
    "imagesDuplicationOptions": {
      "isActive": true
    },
    "downloadFilesDuplicationOptions": {
      "isActive": true
    },
    "uploadFilesDuplicationOptions": {
      "isActive": true
    },
    "mediaFilesDuplicationOptions": {
      "isActive": true
    },
    "characteristicsDuplicationOptions": {
      "isActive": true
    },
    "bomDuplicationOptions": {
      "isActive": true
    },
    "variationsDuplicationOptions": {
      "isActive": true
    },
    "configurationsDuplicationOptions": {
      "isActive": true
    },
    "descriptionsDuplicationOptions": {
      "isActive": true,
      "considerDescriptions": true,
      "considerMetadata": true,
      "considerUrlPaths": true,
      "considerNames": true
    },
    "crossSellingDuplicationOptions": {
      "isActive": true
    },
    "customFieldsDuplicationOptions": {
      "isActive": true
    },
    "purchasePricesDuplicationOptions": {
      "isActive": true
    },
    "identifiersDuplicationOptions": {
      "isActive": true,
      "considerEan": true,
      "considerIsbn": true,
      "considerUpc": true,
      "considerHan": true,
      "considerTaricCode": true,
      "considerCountryCode": true,
      "considerHazardNumber": true,
      "considerSeries": true,
      "considerUnNumber": true,
      "considerAmazonFnsku": true,
      "considerNotes": true,
      "considerSearchTerms": true,
      "considerIncludeInPriceList": true,
      "considerOrderSuggestions": true
    },
    "salesPricesDuplicationOptions": {
      "isActive": true
    },
    "masterDataDuplicationOptions": {
      "isActive": true,
      "considerManufacturer": true,
      "considerProductGroup": true,
      "considerTaxClass": true,
      "considerShippingClass": true,
      "considerBasePriceUnit": true,
      "considerMinimumPurchaseSettings": true,
      "considerPackaging": true,
      "considerNonDiscountable": true,
      "considerItemType": true,
      "considerInventoryManagement": true,
      "considerMinMaxInventory": true,
      "considerProductCompliancePerson": true
    },
    "specialPricesDuplicationOptions": {
      "isActive": true
    },
    "deliveryOptionsDuplicationOptions": {
      "isActive": true
    },
    "measurementssDuplicationOptions": {
      "isActive": true
    },
    "suppliersDuplicationOptions": {
      "isActive": true,
      "keepItemNumber": true,
      "keepItemName": true
    },
    "saleschannelDuplicationOptions": {
      "isActive": true,
      "considerHighlightOptions": true
    },
    "scxDuplicationOptions": {
      "isActive": true,
      "considerCategoryMappings": true,
      "considerSalesChannelFieldValues": true,
      "considerEveryShop": true,
      "shopsToConsider": [
        "b45f6432-2462-4c6f-b00f-1d9d01000000"
      ]
    }
  }
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

api-version
string
x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Body

application/json

Request parameters

Creates one or more duplicates of an existing item with specified duplication options. - Request

duplicateItemId
string<uuid>

The unique identifier of the source item to be duplicated.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

duplicatesToCreate
object[]

The basic information (SKU and name) for the items to be created as duplicates.

executeItemCreatedWorkflowOnCreation
boolean

Indicates whether the item creation workflow should be executed after creating the duplicates.

itemDuplicationOptions
object

Specifies which properties and aspects of the source item should be duplicated to the new items.

Response

200 - application/json

Items successfully duplicated